org.apache.commons.ssl.asn1

## Class BERConstructedSequence

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object
      - - org.apache.commons.ssl.asn1.ASN1Sequence
        - - org.apache.commons.ssl.asn1.DERConstructedSequence
          - - org.apache.commons.ssl.asn1.BERConstructedSequence

All Implemented Interfaces:
  DEREncodable, DERTags

Deprecated.
use BERSequence

    public class BERConstructedSequence
    extends DERConstructedSequence

### Field Summary

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`BERConstructedSequence()` Deprecated.

### Method Summary

Methods
`(package private) void` `encode(DEROutputStream out)` Deprecated.

### Methods inherited from class org.apache.commons.ssl.asn1.DERConstructedSequence

`addObject, getSize`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Sequence

`asn1Equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, parser, size, toString`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BERConstructedSequence

    public BERConstructedSequence()

Deprecated.

### Method Detail

#### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

Deprecated.

Overrides:
  `encode` in class `DERConstructedSequence`
Throws:
  `java.io.IOException`